CVE-2000-0432
CVSS7.5
发布时间 :2000-05-16 00:00:00
修订时间 :2008-09-10 15:04:40
NMCOE    

[原文]The calender.pl and the calendar_admin.pl calendar scripts by Matt Kruse allow remote attackers to execute arbitrary commands via shell metacharacters.


[CNNVD]calender.pl/calendar_admin.pl脚本远程执行任意命令漏洞(CNNVD-200005-061)

        CalendarScript是一个基于Web的事件安排、管理、发布软件包。
        软件包中的calender.pl和calendar_admin.pl脚本实现上存在输入验证漏洞,远程攻击者利用此漏洞通过shell字符执行任意命令。calendar_admin.pl脚本提示用户修改配置文件,但是它在验证用户的时候已经访问了指定的配置文件,而且直接使用perl的open()调用用户输入的数据,恶意用户可以使用管道符执行后面的命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-0432
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-0432
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200005-061
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/1215
(UNKNOWN)  BID  1215
http://archives.neohapsis.com/archives/bugtraq/2000-05/0173.html
(UNKNOWN)  BUGTRAQ  20000516 Vuln in calender.pl (Matt Kruse calender script)

- 漏洞信息

calender.pl/calendar_admin.pl脚本远程执行任意命令漏洞
高危 输入验证
2000-05-16 00:00:00 2012-11-28 00:00:00
远程  
        CalendarScript是一个基于Web的事件安排、管理、发布软件包。
        软件包中的calender.pl和calendar_admin.pl脚本实现上存在输入验证漏洞,远程攻击者利用此漏洞通过shell字符执行任意命令。calendar_admin.pl脚本提示用户修改配置文件,但是它在验证用户的时候已经访问了指定的配置文件,而且直接使用perl的open()调用用户输入的数据,恶意用户可以使用管道符执行后面的命令。

- 公告与补丁

        厂商补丁:
        CalendarScript
        --------------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载最新版本:
        
        http://www.mattkruse.com/scripts/calendar/

- 漏洞信息 (19921)

Matt Kruse Calendar Script 2.2 Arbitrary Command Execution (EDBID:19921)
cgi remote
2000-05-16 Verified
0 suid
N/A [点击下载]
source: http://www.securityfocus.com/bid/1215/info

Matt Kruse's Calendar script is a popular, free perl cgi-script used by many websites on the Internet. It allows a website administrator to easily setup and customize a calendar on their website. There are two components of this package, calendar-admin.pl and calendar.pl. Calendar-admin.pl calls open() with user-input in the command string but does not parse the input for metacharacters. It is therefor possible to execute arbitrary commands on the target host by passing "|shell command|" as one value of the "configuration file" field. The shell that is spawned with the open() call will then execute those commands with the uid of the webserver. This can result in remote access to the system for the attacker. Calendar.pl is vulnerable to a similar attack.

calender_admin.pl - easiest.

Assuming http://www.ownable.domain/ has calender.pl at:
http://www.ownable.domain/cgi-bin/calender.pl

The admin script by default is at:
http://www.ownable.domain/cgi-bin/calender_admin.pl

Going to that URL will result in a username/password/configuration file input fields. Ignoring username and password, enter:

|<command here>|

(With the pipes) in the configuration file field.

e.g. 

|ping 127.0.0.1|		

- 漏洞信息

17756
Matt Kruse calendar.pl Shell Metacharacter Arbitrary Command Execution

- 漏洞描述

Unknown or Incomplete

- 时间线

2000-05-16 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站